SunONETagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.sun.sunone.ejb.SunONETagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.sun.sunone.ejb
Class SunONETagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.AbstractProgramElementTagsHandler
                  xdoclet.modules.sun.sunone.ejb.SunONETagsHandler

public class SunONETagsHandler
extends AbstractProgramElementTagsHandler

Version:
  $Revision: 1.1 $
Author:
  Andrew Stevens
xdoclet.taghandler
  namespace="SunONE"
created
  23 February, 2003

Field Summary
`protected Map` | `attributes` Collection of attributes.
`protected MethodTagsHandler` | `handler` For use in extracting method names.
`protected int` | `index` For looping through indexed tags.

Fields inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`currentToken, matchPattern, tagTokenizer`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`SunONETagsHandler()`

Method Summary
`static String` | `generateGUID()` A 32 byte GUID generator (Globally Unique ID).
`static String` | `generateGUID(Object o)` A 32 byte GUID generator (Globally Unique ID).

Methods inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`checkForWrap, currentToken, exceptionList, firstSentenceDescriptionOfCurrentMember, forAllMembers, forAllMemberTags, forAllMemberTagTokens, getAllClasses, getClassNameFor, getFullClassNameFor, getFullSuperclassNameFor, getIndentChars, getXExecutableMemberForMemberName, getXExecutableMemberForMemberName, hasExecutableMember_OLD, hasExecutableMember, makeCopyOfArray, matchValue, memberComment, setMatchValue, skipToken`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handler

    protected MethodTagsHandler handler

  For use in extracting method names.

### attributes

    protected Map attributes

  Collection of attributes. XXX: Does this need to be synchronized?

### index

    protected int index

  For looping through indexed tags.

Constructor Detail

### SunONETagsHandler

    public SunONETagsHandler()

Method Detail

### generateGUID

    public static String generateGUID()
                               throws XDocletException

  A 32 byte GUID generator (Globally Unique ID). I couldn't find any documentation for how Sun's own utilities generate them, so I've copied the method used in the generated Util classes. Hopefully that's good enough.

  Returns:
    The name of current EJB bean.
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### generateGUID

    public static String generateGUID(Object o)
                               throws XDocletException

  A 32 byte GUID generator (Globally Unique ID). I couldn't find any documentation for how Sun's own utilities generate them, so I've copied the method used in the generated Util classes. Hopefully that's good enough.

  Parameters:
    `o` -
  Returns:
    The name of current EJB bean.
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD